Go to the first, previous, next, last section, table of contents.

### `setmod`

`setmod([p])`
  :: Sets the ground field to GF(p).

return
  integer
n
  prime less than 2^27

- Sets the ground field to GF(p) and returns the value p.
- A member of a finite field does not have any information about the field and the arithmetic operations over GF(p) are applied with p set at the time.
- As for large finite fields, see section Finite fields.

    [0] A=dp_mod(dp_ptod(2*x,[x]),3,[]);
    (2)*<<1>>
    [1] A+A;
    addmi : invalid modulus
    return to toplevel
    [1] setmod(3);
    3
    [2] A+A;
    (1)*<<1>>

`References`
  section `dp_mod`, `dp_rat`, section Types of numbers.

Go to the first, previous, next, last section, table of contents.